[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: packaging thunderbird and firefox extensions as RPM in Fedora



On Mon, 2007-04-16 at 14:01 -0400, Christopher Aillon wrote:
> Enrico Scholz wrote:
> > I do not see how this matters here. rpm knows enough ways to handle it:
> > 
> > * explicit 'Requires: firefox = ...' in binary plugins
> 
> Packagers fall all too easily into the trap of >= and not updating the 
> min/max versions based on what the extension claims.  When ABI breaks, 
> it will probably cause a crash and users might revert back to an older 
> browser version which might not have the latest security fixes.

Well, assuming that the extension has the right min max and versions
in it's install.rdf, Firefox won't try to load the extension, so it's
not going to crash.

It's not like the user's extensions dir is versioned, after all...

The only possible advantage I can see for of the versioned libdirs
is allowing multiple parallel installations of Firefox with their
accompanying extensions ... not something that we're interested
in supporting, presumably.

					- Owen



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]